Bug 436771 - Invalid login shell for BackupPC user
Invalid login shell for BackupPC user
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: BackupPC (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Johan Cwiklinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-10 08:01 EDT by S Edwards
Modified: 2008-04-09 01:18 EDT (History)
0 users

See Also:
Fixed In Version: 3.1.0-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-09 01:18:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description S Edwards 2008-03-10 08:01:44 EDT
Description of problem:
The default shell for the BackupPC user appears to be /usr/bin/nologin which
appears to be a non-existent file.

Other packages using nologin specify /sbin/nologin


Version-Release number of selected component (if applicable):
3.1.0-1.fc8


How reproducible:
Standard install


Steps to Reproduce:
Standard install

  
Actual results:
System did not appear to allow login through this account. However I did not try
manually setting a password for this account to see what happened.


Expected results:
As actual.


Additional info:
This was a result of looking at various security products usage - this account
was flagged as having an invalid shell.

The README.fedora in BackupPC does explicitly state that:

## BackupPC's user
For security reasons, backuppc user cannot log in. If you want to start manual
backup (ie for debugging), you'll need to set it a shell :
usermod -s /bin/bash

I was unsure though whether it actually should have been /sbin/nologin instead
of /usr/bin/nologin so filed this PR to see.
Comment 1 Fedora Update System 2008-04-05 05:01:39 EDT
BackupPC-3.1.0-2.fc8 has been submitted as an update for Fedora 8
Comment 2 Fedora Update System 2008-04-09 01:18:49 EDT
BackupPC-3.1.0-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.